/***********************************************************************
**
**   waypointlist.cpp
**
**   This file is part of KFLog2.
**
************************************************************************
**
**   Copyright (c):  2001 by Harald Maier
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: waypointlist.cpp,v 1.3 2004/03/06 23:45:29 axel Exp $
**
***********************************************************************/
#include "targets.h"

#include "waypointlist.h"


WaypointList::WaypointList()
{
  setAutoDelete(true);
}

WaypointList::~WaypointList()
{
}

/** insert a new item into the list and check if waypoint already exist */
bool WaypointList::insertItem(wayPoint *e)
{
  bool ins = true;

  insert(e->name, e);

  return ins;
}
